using System;

internal sealed class Delegate546 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate546 delegate546_1)
	{
		return delegate546_1(object_0);
	}

	public extern Delegate546(object object_0, IntPtr intptr_0);

	static Delegate546()
	{
		Class10.smethod_13(typeof(Delegate546).TypeHandle);
	}

	internal static Delegate546 delegate546_0;
}
